Package ghidra.program.model.lang

# Class LanguageNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
ghidra.program.model.lang.LanguageNotFoundException

All Implemented Interfaces:
  `Serializable`

public class LanguageNotFoundException extends IOException
Exception class used when the named language cannot be found.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LanguageNotFoundException(LanguageID languageID)`
  Language not found
  `LanguageNotFoundException(LanguageID languageID, int majorVersion, int minorVersion)`
  Newer version of language required
  `LanguageNotFoundException(LanguageID languageID, CompilerSpecID compilerSpecID)`
  `LanguageNotFoundException(LanguageID languageID, String msg)`
  Language not found
  `LanguageNotFoundException(Processor processor)`
  `LanguageNotFoundException(String message)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LanguageNotFoundException

    public LanguageNotFoundException(LanguageID languageID, int majorVersion, int minorVersion)
    Newer version of language required
    Parameters:
      `languageID` -
      `majorVersion` -
      `minorVersion` -

  - ### LanguageNotFoundException

    public LanguageNotFoundException(LanguageID languageID)
    Language not found
    Parameters:
      `languageID` -

  - ### LanguageNotFoundException

    public LanguageNotFoundException(String message)

  - ### LanguageNotFoundException

    public LanguageNotFoundException(LanguageID languageID, CompilerSpecID compilerSpecID)

  - ### LanguageNotFoundException

    public LanguageNotFoundException(LanguageID languageID, String msg)
    Language not found
    Parameters:
      `languageID` -
      `msg` -

  - ### LanguageNotFoundException

    public LanguageNotFoundException(Processor processor)